{ pkgs ? import <nixpkgs> { }, rustPlatform ? pkgs.rustPlatform
, pkg-config ? pkgs.pkg-config, dbus ? pkgs.dbus }:

let
  src = builtins.filterSource
    (path: type: type != "directory" || builtins.baseNameOf path != "target")
    ./.;
in rustPlatform.buildRustPackage rec {
  pname = "nanpa";
  version = "0.1.0";

  inherit src;

  buildInputs = [ dbus ];
  nativeBuildInputs = [ pkg-config ];

  cargoSha256 = "1brlq4ilzhbz25sblcqxl2hkd8g7i79g6xijrzmk5fbb4qlq1fz7";
}
